View Issue Details

IDProjectCategoryView StatusLast Update
0003814FEM[FreeCAD] Bugpublic2019-02-10 12:17
ReporteruwestoehrAssigned Toberndhahnebach 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version[FreeCAD] 0.18 
Target VersionFixed in Version[FreeCAD] 0.18 
Summary0003814: FEM, FC becomes unusable after inserting certain constraints
DescriptionVersion: 0.18.15780 (Git)

To reproduce:
- create a new document, there create a simple body, e.g. a block
- create a new simulation
- now insert either

* ElectrostaticPotential
* ConstraintInitialFlowVelocity
* ConstraintFlowVelocity

As result one get an error like this one:

The error messages are the same:

    File "C:\Users\USti\Desktop\FreeCAD_0.18.15780_Conda_Py3QT5-WinVS2015_x64\Mod\Fem\femguiobjects\_ViewProviderFemConstraintInitialFlowVelocity.py", line 51, in setEdit
    task = _TaskPanel(vobj.Object)
    File "C:\Users\USti\Desktop\FreeCAD_0.18.15780_Conda_Py3QT5-WinVS2015_x64\Mod\Fem\femguiobjects\_ViewProviderFemConstraintInitialFlowVelocity.py", line 69, in __init__
    self._mesh = FemUtils.getSingleMember(analysis, "Fem::FemMeshObject")

- now try to double click e.g. on a solver in the model tree.
result: you get the message that there is a dialog active. But there is no active task and no open dialog.
Working with FEM becomes impossible.

workaround: right-click on the constraint in the model view and then chose "Finish Editing"
Additional InformationForum thread: https://forum.freecadweb.org/viewtopic.php?f=18&t=33944
TagsNo tags attached.

Activities

berndhahnebach

2019-02-03 20:27

developer   ~0012579

https://github.com/FreeCAD/FreeCAD/pull/1944/commits/f2a917699583e869eda7a0d804e6b8bc984a6515

uwestoehr

2019-02-09 00:02

updater   ~0012595

Many thanks, your commit fixed the problem. So this bug can be marked as fixed.

Issue History

Date Modified Username Field Change
2019-02-03 20:21 uwestoehr New Issue
2019-02-03 20:27 berndhahnebach Note Added: 0012579
2019-02-03 20:28 berndhahnebach Summary FC becomes unusable after inserting certain constraints => FEM, FC becomes unusable after inserting certain constraints
2019-02-09 00:02 uwestoehr Note Added: 0012595
2019-02-10 12:17 wmayer Assigned To => berndhahnebach
2019-02-10 12:17 wmayer Status new => closed
2019-02-10 12:17 wmayer Resolution open => fixed
2019-02-10 12:17 wmayer Fixed in Version => 0.18